package eu.eudat.logic.proxy.config.configloaders;

import eu.eudat.logic.proxy.config.ExternalUrls;
import eu.eudat.logic.security.customproviders.ConfigurableProvider.entities.ConfigurableProviders;
import org.apache.poi.xwpf.usermodel.XWPFDocument;

import java.util.List;
import java.util.Map;

public interface ConfigLoader {
    ExternalUrls getExternalUrls();
    List<String> getRdaProperties();
    XWPFDocument getDocument();
    XWPFDocument getDatasetDocument();
    ConfigurableProviders getConfigurableProviders();
    Map<String, String> getKeyToSourceMap();
}
